summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scilab/Makefile.incl.in2
-rwxr-xr-xscilab/configure176
-rw-r--r--scilab/configure.in18
3 files changed, 94 insertions, 102 deletions
diff --git a/scilab/Makefile.incl.in b/scilab/Makefile.incl.in
index 7cfc18c..b247a0b 100644
--- a/scilab/Makefile.incl.in
+++ b/scilab/Makefile.incl.in
@@ -26,7 +26,7 @@ TERMCAPLIB = @TERMCAPLIB@
26# and for linking: $(CC) -o $(PROGRAM) $(OBJS) $(CC_LDFLAGS) 26# and for linking: $(CC) -o $(PROGRAM) $(OBJS) $(CC_LDFLAGS)
27########### 27###########
28CC = @CC@ 28CC = @CC@
29CC_OPTIONS = @CC_OPTIONS@ @GTKINC@ 29CC_OPTIONS = @CC_OPTIONS@ @GTKCFLAGS@
30CC_LDFLAGS = @CC_LDFLAGS@ 30CC_LDFLAGS = @CC_LDFLAGS@
31CC_PICFLAGS = @CC_PICFLAGS@ 31CC_PICFLAGS = @CC_PICFLAGS@
32 32
diff --git a/scilab/configure b/scilab/configure
index ce7c3be..6233d86 100755
--- a/scilab/configure
+++ b/scilab/configure
@@ -11286,98 +11286,86 @@ if test "$with_gtk" = yes; then
11286set dummy gtk-config; ac_word=$2 11286set dummy gtk-config; ac_word=$2
11287echo "$as_me:11287: checking for $ac_word" >&5 11287echo "$as_me:11287: checking for $ac_word" >&5
11288echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 11288echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
11289if test "${ac_cv_path_GTK_CONFIG+set}" = set; then 11289if test "${ac_cv_prog_GTK_CONFIG+set}" = set; then
11290 echo $ECHO_N "(cached) $ECHO_C" >&6 11290 echo $ECHO_N "(cached) $ECHO_C" >&6
11291else 11291else
11292 case $GTK_CONFIG in 11292 if test -n "$GTK_CONFIG"; then
11293 [\\/]* | ?:[\\/]*) 11293 ac_cv_prog_GTK_CONFIG="$GTK_CONFIG" # Let the user override the test.
11294 ac_cv_path_GTK_CONFIG="$GTK_CONFIG" # Let the user override the test with a path. 11294else
11295 ;;
11296 *)
11297 ac_save_IFS=$IFS; IFS=$ac_path_separator 11295 ac_save_IFS=$IFS; IFS=$ac_path_separator
11298ac_dummy="$PATH" 11296ac_dummy="$PATH"
11299for ac_dir in $ac_dummy; do 11297for ac_dir in $ac_dummy; do
11300 IFS=$ac_save_IFS 11298 IFS=$ac_save_IFS
11301 test -z "$ac_dir" && ac_dir=. 11299 test -z "$ac_dir" && ac_dir=.
11302 if $as_executable_p "$ac_dir/$ac_word"; then 11300 $as_executable_p "$ac_dir/$ac_word" || continue
11303 ac_cv_path_GTK_CONFIG="$ac_dir/$ac_word" 11301ac_cv_prog_GTK_CONFIG="none"
11304 echo "$as_me:11304: found $ac_dir/$ac_word" >&5 11302echo "$as_me:11302: found $ac_dir/$ac_word" >&5
11305 break 11303break
11306fi
11307done 11304done
11308 11305
11309 test -z "$ac_cv_path_GTK_CONFIG" && ac_cv_path_GTK_CONFIG="none"
11310 ;;
11311esac
11312fi 11306fi
11313GTK_CONFIG=$ac_cv_path_GTK_CONFIG 11307fi
11314 11308GTK_CONFIG=$ac_cv_prog_GTK_CONFIG
11315if test -n "$GTK_CONFIG"; then 11309if test -n "$GTK_CONFIG"; then
11316 echo "$as_me:11316: result: $GTK_CONFIG" >&5 11310 echo "$as_me:11310: result: $GTK_CONFIG" >&5
11317echo "${ECHO_T}$GTK_CONFIG" >&6 11311echo "${ECHO_T}$GTK_CONFIG" >&6
11318else 11312else
11319 echo "$as_me:11319: result: no" >&5 11313 echo "$as_me:11313: result: no" >&5
11320echo "${ECHO_T}no" >&6 11314echo "${ECHO_T}no" >&6
11321fi 11315fi
11322 11316
11323 # Extract the first word of "gnome-config", so it can be a program name with args. 11317 # Extract the first word of "gnome-config", so it can be a program name with args.
11324set dummy gnome-config; ac_word=$2 11318set dummy gnome-config; ac_word=$2
11325echo "$as_me:11325: checking for $ac_word" >&5 11319echo "$as_me:11319: checking for $ac_word" >&5
11326echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 11320echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
11327if test "${ac_cv_path_GNOME_CONFIG+set}" = set; then 11321if test "${ac_cv_prog_GNOME_CONFIG+set}" = set; then
11328 echo $ECHO_N "(cached) $ECHO_C" >&6 11322 echo $ECHO_N "(cached) $ECHO_C" >&6
11329else 11323else
11330 case $GNOME_CONFIG in 11324 if test -n "$GNOME_CONFIG"; then
11331 [\\/]* | ?:[\\/]*) 11325 ac_cv_prog_GNOME_CONFIG="$GNOME_CONFIG" # Let the user override the test.
11332 ac_cv_path_GNOME_CONFIG="$GNOME_CONFIG" # Let the user override the test with a path. 11326else
11333 ;;
11334 *)
11335 ac_save_IFS=$IFS; IFS=$ac_path_separator 11327 ac_save_IFS=$IFS; IFS=$ac_path_separator
11336ac_dummy="$PATH" 11328ac_dummy="$PATH"
11337for ac_dir in $ac_dummy; do 11329for ac_dir in $ac_dummy; do
11338 IFS=$ac_save_IFS 11330 IFS=$ac_save_IFS
11339 test -z "$ac_dir" && ac_dir=. 11331 test -z "$ac_dir" && ac_dir=.
11340 if $as_executable_p "$ac_dir/$ac_word"; then 11332 $as_executable_p "$ac_dir/$ac_word" || continue
11341 ac_cv_path_GNOME_CONFIG="$ac_dir/$ac_word" 11333ac_cv_prog_GNOME_CONFIG="none"
11342 echo "$as_me:11342: found $ac_dir/$ac_word" >&5 11334echo "$as_me:11334: found $ac_dir/$ac_word" >&5
11343 break 11335break
11344fi
11345done 11336done
11346 11337
11347 test -z "$ac_cv_path_GNOME_CONFIG" && ac_cv_path_GNOME_CONFIG="none"
11348 ;;
11349esac
11350fi 11338fi
11351GNOME_CONFIG=$ac_cv_path_GNOME_CONFIG 11339fi
11352 11340GNOME_CONFIG=$ac_cv_prog_GNOME_CONFIG
11353if test -n "$GNOME_CONFIG"; then 11341if test -n "$GNOME_CONFIG"; then
11354 echo "$as_me:11354: result: $GNOME_CONFIG" >&5 11342 echo "$as_me:11342: result: $GNOME_CONFIG" >&5
11355echo "${ECHO_T}$GNOME_CONFIG" >&6 11343echo "${ECHO_T}$GNOME_CONFIG" >&6
11356else 11344else
11357 echo "$as_me:11357: result: no" >&5 11345 echo "$as_me:11345: result: no" >&5
11358echo "${ECHO_T}no" >&6 11346echo "${ECHO_T}no" >&6
11359fi 11347fi
11360 11348
11361 echo "$as_me:11361: checking if gtk is version 1.2 or later" >&5 11349 echo "$as_me:11349: checking if gtk is version 1.2 or later" >&5
11362echo $ECHO_N "checking if gtk is version 1.2 or later... $ECHO_C" >&6 11350echo $ECHO_N "checking if gtk is version 1.2 or later... $ECHO_C" >&6
11363 GTK_VER=`$GTK_CONFIG --version` 11351 GTK_VER=`$GTK_CONFIG --version`
11364 case $GTK_VER in 11352 case $GTK_VER in
11365 0.* ) 11353 0.* )
11366 { { echo "$as_me:11366: error: you need at least version 1.2 of gtk" >&5 11354 { { echo "$as_me:11354: error: you need at least version 1.2 of gtk" >&5
11367echo "$as_me: error: you need at least version 1.2 of gtk" >&2;} 11355echo "$as_me: error: you need at least version 1.2 of gtk" >&2;}
11368 { (exit 1); exit 1; }; } 11356 { (exit 1); exit 1; }; }
11369 ;; 11357 ;;
11370 1.1* ) 11358 1.1* )
11371 { { echo "$as_me:11371: error: you need at least version 1.2 of gtk" >&5 11359 { { echo "$as_me:11359: error: you need at least version 1.2 of gtk" >&5
11372echo "$as_me: error: you need at least version 1.2 of gtk" >&2;} 11360echo "$as_me: error: you need at least version 1.2 of gtk" >&2;}
11373 { (exit 1); exit 1; }; } 11361 { (exit 1); exit 1; }; }
11374 ;; 11362 ;;
11375 * ) 11363 * )
11376 echo "$as_me:11376: result: $GTK_VER" >&5 11364 echo "$as_me:11364: result: $GTK_VER" >&5
11377echo "${ECHO_T}$GTK_VER" >&6 11365echo "${ECHO_T}$GTK_VER" >&6
11378 GTKCFLAGS=`$GTK_CONFIG --cflags` 11366 GTKCFLAGS='`gtk-config --cflags`'
11379 GTKLIBS=`$GTK_CONFIG --libs` 11367 GTKLIBS='`gtk-config --libs`'
11380 GTKINC=`$GNOME_CONFIG --includedir` 11368 GNOMECFLAGS='`gnome-config --cflags gnome`'
11381 ;; 11369 ;;
11382 esac 11370 esac
11383 cat >>confdefs.h <<\EOF 11371 cat >>confdefs.h <<\EOF
@@ -11442,7 +11430,7 @@ saved_cflags="$CFLAGS"
11442saved_ldflags="$LDFLAGS" 11430saved_ldflags="$LDFLAGS"
11443saved_cppflags="$CPPFLAGS" 11431saved_cppflags="$CPPFLAGS"
11444 11432
11445echo "$as_me:11445: checking for main in -ldl" >&5 11433echo "$as_me:11433: checking for main in -ldl" >&5
11446echo $ECHO_N "checking for main in -ldl... $ECHO_C" >&6 11434echo $ECHO_N "checking for main in -ldl... $ECHO_C" >&6
11447if test "${ac_cv_lib_dl_main+set}" = set; then 11435if test "${ac_cv_lib_dl_main+set}" = set; then
11448 echo $ECHO_N "(cached) $ECHO_C" >&6 11436 echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11450,7 +11438,7 @@ else
11450 ac_check_lib_save_LIBS=$LIBS 11438 ac_check_lib_save_LIBS=$LIBS
11451LIBS="-ldl $LIBS" 11439LIBS="-ldl $LIBS"
11452cat >conftest.$ac_ext <<_ACEOF 11440cat >conftest.$ac_ext <<_ACEOF
11453#line 11453 "configure" 11441#line 11441 "configure"
11454#include "confdefs.h" 11442#include "confdefs.h"
11455 11443
11456int 11444int
@@ -11462,16 +11450,16 @@ main ();
11462} 11450}
11463_ACEOF 11451_ACEOF
11464rm -f conftest.$ac_objext conftest$ac_exeext 11452rm -f conftest.$ac_objext conftest$ac_exeext
11465if { (eval echo "$as_me:11465: \"$ac_link\"") >&5 11453if { (eval echo "$as_me:11453: \"$ac_link\"") >&5
11466 (eval $ac_link) 2>&5 11454 (eval $ac_link) 2>&5
11467 ac_status=$? 11455 ac_status=$?
11468 echo "$as_me:11468: \$? = $ac_status" >&5 11456 echo "$as_me:11456: \$? = $ac_status" >&5
11469 (exit $ac_status); } && 11457 (exit $ac_status); } &&
11470 { ac_try='test -s conftest$ac_exeext' 11458 { ac_try='test -s conftest$ac_exeext'
11471 { (eval echo "$as_me:11471: \"$ac_try\"") >&5 11459 { (eval echo "$as_me:11459: \"$ac_try\"") >&5
11472 (eval $ac_try) 2>&5 11460 (eval $ac_try) 2>&5
11473 ac_status=$? 11461 ac_status=$?
11474 echo "$as_me:11474: \$? = $ac_status" >&5 11462 echo "$as_me:11462: \$? = $ac_status" >&5
11475 (exit $ac_status); }; }; then 11463 (exit $ac_status); }; }; then
11476 ac_cv_lib_dl_main=yes 11464 ac_cv_lib_dl_main=yes
11477else 11465else
@@ -11482,7 +11470,7 @@ fi
11482rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 11470rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
11483LIBS=$ac_check_lib_save_LIBS 11471LIBS=$ac_check_lib_save_LIBS
11484fi 11472fi
11485echo "$as_me:11485: result: $ac_cv_lib_dl_main" >&5 11473echo "$as_me:11473: result: $ac_cv_lib_dl_main" >&5
11486echo "${ECHO_T}$ac_cv_lib_dl_main" >&6 11474echo "${ECHO_T}$ac_cv_lib_dl_main" >&6
11487if test $ac_cv_lib_dl_main = yes; then 11475if test $ac_cv_lib_dl_main = yes; then
11488 TCLTK_LIBS=" -ldl" 11476 TCLTK_LIBS=" -ldl"
@@ -11505,7 +11493,7 @@ CHK_TCL_INC_NAME=tcl.h
11505 11493
11506echo $ac_n " testing version (need $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later)... " $ac_c 11494echo $ac_n " testing version (need $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later)... " $ac_c
11507cat > conftest.$ac_ext <<EOF 11495cat > conftest.$ac_ext <<EOF
11508#line 11508 "configure" 11496#line 11496 "configure"
11509#include "confdefs.h" 11497#include "confdefs.h"
11510 11498
11511#include "$CHK_TCL_INCLUDE_PATH/$CHK_TCL_INC_NAME" 11499#include "$CHK_TCL_INCLUDE_PATH/$CHK_TCL_INC_NAME"
@@ -11591,7 +11579,7 @@ LDFLAGS=$LDFLAGS
11591# Check for Tcl lib 11579# Check for Tcl lib
11592echo $ac_n " ""$ac_c" 11580echo $ac_n " ""$ac_c"
11593if test "$USER_TCL_LIB_PATH" = "" 11581if test "$USER_TCL_LIB_PATH" = ""
11594then echo "$as_me:11594: checking for Tcl_DoOneEvent in -lm" >&5 11582then echo "$as_me:11582: checking for Tcl_DoOneEvent in -lm" >&5
11595echo $ECHO_N "checking for Tcl_DoOneEvent in -lm... $ECHO_C" >&6 11583echo $ECHO_N "checking for Tcl_DoOneEvent in -lm... $ECHO_C" >&6
11596if test "${ac_cv_lib_m_Tcl_DoOneEvent+set}" = set; then 11584if test "${ac_cv_lib_m_Tcl_DoOneEvent+set}" = set; then
11597 echo $ECHO_N "(cached) $ECHO_C" >&6 11585 echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11599,7 +11587,7 @@ else
11599 ac_check_lib_save_LIBS=$LIBS 11587 ac_check_lib_save_LIBS=$LIBS
11600LIBS="-lm -l$NAME_LIB_TCL $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS" 11588LIBS="-lm -l$NAME_LIB_TCL $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS"
11601cat >conftest.$ac_ext <<_ACEOF 11589cat >conftest.$ac_ext <<_ACEOF
11602#line 11602 "configure" 11590#line 11590 "configure"
11603#include "confdefs.h" 11591#include "confdefs.h"
11604 11592
11605/* Override any gcc2 internal prototype to avoid an error. */ 11593/* Override any gcc2 internal prototype to avoid an error. */
@@ -11618,16 +11606,16 @@ Tcl_DoOneEvent ();
11618} 11606}
11619_ACEOF 11607_ACEOF
11620rm -f conftest.$ac_objext conftest$ac_exeext 11608rm -f conftest.$ac_objext conftest$ac_exeext
11621if { (eval echo "$as_me:11621: \"$ac_link\"") >&5 11609if { (eval echo "$as_me:11609: \"$ac_link\"") >&5
11622 (eval $ac_link) 2>&5 11610 (eval $ac_link) 2>&5
11623 ac_status=$? 11611 ac_status=$?
11624 echo "$as_me:11624: \$? = $ac_status" >&5 11612 echo "$as_me:11612: \$? = $ac_status" >&5
11625 (exit $ac_status); } && 11613 (exit $ac_status); } &&
11626 { ac_try='test -s conftest$ac_exeext' 11614 { ac_try='test -s conftest$ac_exeext'
11627 { (eval echo "$as_me:11627: \"$ac_try\"") >&5 11615 { (eval echo "$as_me:11615: \"$ac_try\"") >&5
11628 (eval $ac_try) 2>&5 11616 (eval $ac_try) 2>&5
11629 ac_status=$? 11617 ac_status=$?
11630 echo "$as_me:11630: \$? = $ac_status" >&5 11618 echo "$as_me:11618: \$? = $ac_status" >&5
11631 (exit $ac_status); }; }; then 11619 (exit $ac_status); }; }; then
11632 ac_cv_lib_m_Tcl_DoOneEvent=yes 11620 ac_cv_lib_m_Tcl_DoOneEvent=yes
11633else 11621else
@@ -11638,7 +11626,7 @@ fi
11638rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 11626rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
11639LIBS=$ac_check_lib_save_LIBS 11627LIBS=$ac_check_lib_save_LIBS
11640fi 11628fi
11641echo "$as_me:11641: result: $ac_cv_lib_m_Tcl_DoOneEvent" >&5 11629echo "$as_me:11629: result: $ac_cv_lib_m_Tcl_DoOneEvent" >&5
11642echo "${ECHO_T}$ac_cv_lib_m_Tcl_DoOneEvent" >&6 11630echo "${ECHO_T}$ac_cv_lib_m_Tcl_DoOneEvent" >&6
11643if test $ac_cv_lib_m_Tcl_DoOneEvent = yes; then 11631if test $ac_cv_lib_m_Tcl_DoOneEvent = yes; then
11644 TCL_LIB_OK=1 11632 TCL_LIB_OK=1
@@ -11646,7 +11634,7 @@ else
11646 TCL_LIB_OK=0 11634 TCL_LIB_OK=0
11647fi 11635fi
11648 11636
11649else echo "$as_me:11649: checking for Tcl_DoOneEvent in -lm" >&5 11637else echo "$as_me:11637: checking for Tcl_DoOneEvent in -lm" >&5
11650echo $ECHO_N "checking for Tcl_DoOneEvent in -lm... $ECHO_C" >&6 11638echo $ECHO_N "checking for Tcl_DoOneEvent in -lm... $ECHO_C" >&6
11651if test "${ac_cv_lib_m_Tcl_DoOneEvent+set}" = set; then 11639if test "${ac_cv_lib_m_Tcl_DoOneEvent+set}" = set; then
11652 echo $ECHO_N "(cached) $ECHO_C" >&6 11640 echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11654,7 +11642,7 @@ else
11654 ac_check_lib_save_LIBS=$LIBS 11642 ac_check_lib_save_LIBS=$LIBS
11655LIBS="-lm -L$USER_TCL_LIB_PATH -l$NAME_LIB_TCL $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS" 11643LIBS="-lm -L$USER_TCL_LIB_PATH -l$NAME_LIB_TCL $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS"
11656cat >conftest.$ac_ext <<_ACEOF 11644cat >conftest.$ac_ext <<_ACEOF
11657#line 11657 "configure" 11645#line 11645 "configure"
11658#include "confdefs.h" 11646#include "confdefs.h"
11659 11647
11660/* Override any gcc2 internal prototype to avoid an error. */ 11648/* Override any gcc2 internal prototype to avoid an error. */
@@ -11673,16 +11661,16 @@ Tcl_DoOneEvent ();
11673} 11661}
11674_ACEOF 11662_ACEOF
11675rm -f conftest.$ac_objext conftest$ac_exeext 11663rm -f conftest.$ac_objext conftest$ac_exeext
11676if { (eval echo "$as_me:11676: \"$ac_link\"") >&5 11664if { (eval echo "$as_me:11664: \"$ac_link\"") >&5
11677 (eval $ac_link) 2>&5 11665 (eval $ac_link) 2>&5
11678 ac_status=$? 11666 ac_status=$?
11679 echo "$as_me:11679: \$? = $ac_status" >&5 11667 echo "$as_me:11667: \$? = $ac_status" >&5
11680 (exit $ac_status); } && 11668 (exit $ac_status); } &&
11681 { ac_try='test -s conftest$ac_exeext' 11669 { ac_try='test -s conftest$ac_exeext'
11682 { (eval echo "$as_me:11682: \"$ac_try\"") >&5 11670 { (eval echo "$as_me:11670: \"$ac_try\"") >&5
11683 (eval $ac_try) 2>&5 11671 (eval $ac_try) 2>&5
11684 ac_status=$? 11672 ac_status=$?
11685 echo "$as_me:11685: \$? = $ac_status" >&5 11673 echo "$as_me:11673: \$? = $ac_status" >&5
11686 (exit $ac_status); }; }; then 11674 (exit $ac_status); }; }; then
11687 ac_cv_lib_m_Tcl_DoOneEvent=yes 11675 ac_cv_lib_m_Tcl_DoOneEvent=yes
11688else 11676else
@@ -11693,7 +11681,7 @@ fi
11693rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 11681rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
11694LIBS=$ac_check_lib_save_LIBS 11682LIBS=$ac_check_lib_save_LIBS
11695fi 11683fi
11696echo "$as_me:11696: result: $ac_cv_lib_m_Tcl_DoOneEvent" >&5 11684echo "$as_me:11684: result: $ac_cv_lib_m_Tcl_DoOneEvent" >&5
11697echo "${ECHO_T}$ac_cv_lib_m_Tcl_DoOneEvent" >&6 11685echo "${ECHO_T}$ac_cv_lib_m_Tcl_DoOneEvent" >&6
11698if test $ac_cv_lib_m_Tcl_DoOneEvent = yes; then 11686if test $ac_cv_lib_m_Tcl_DoOneEvent = yes; then
11699 TCL_LIB_OK=1 11687 TCL_LIB_OK=1
@@ -11747,7 +11735,7 @@ saved_cppflags="$CPPFLAGS"
11747CPPFLAGS="$CPPFLAGS $TCL_INC_PATH $X_CFLAGS" 11735CPPFLAGS="$CPPFLAGS $TCL_INC_PATH $X_CFLAGS"
11748echo $ac_n " testing version (need $CHK_TK_MAJOR.$CHK_TK_MINOR or later)... " $ac_c 11736echo $ac_n " testing version (need $CHK_TK_MAJOR.$CHK_TK_MINOR or later)... " $ac_c
11749cat > conftest.$ac_ext <<EOF 11737cat > conftest.$ac_ext <<EOF
11750#line 11750 "configure" 11738#line 11738 "configure"
11751#include "confdefs.h" 11739#include "confdefs.h"
11752 11740
11753#include "$CHK_TK_INCLUDE_PATH/$CHK_TK_INC_NAME" 11741#include "$CHK_TK_INCLUDE_PATH/$CHK_TK_INC_NAME"
@@ -11830,7 +11818,7 @@ LDFLAGS=$LDFLAGS" $X_LDFLAGS $X_LIBS"
11830# Check for Tk lib 11818# Check for Tk lib
11831echo $ac_n " ""$ac_c" 11819echo $ac_n " ""$ac_c"
11832if test "$USER_TK_LIB_PATH" = "" 11820if test "$USER_TK_LIB_PATH" = ""
11833then echo "$as_me:11833: checking for Tk_BindEvent in -lm" >&5 11821then echo "$as_me:11821: checking for Tk_BindEvent in -lm" >&5
11834echo $ECHO_N "checking for Tk_BindEvent in -lm... $ECHO_C" >&6 11822echo $ECHO_N "checking for Tk_BindEvent in -lm... $ECHO_C" >&6
11835if test "${ac_cv_lib_m_Tk_BindEvent+set}" = set; then 11823if test "${ac_cv_lib_m_Tk_BindEvent+set}" = set; then
11836 echo $ECHO_N "(cached) $ECHO_C" >&6 11824 echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11838,7 +11826,7 @@ else
11838 ac_check_lib_save_LIBS=$LIBS 11826 ac_check_lib_save_LIBS=$LIBS
11839LIBS="-lm -l$NAME_LIB_TK -lX11 $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS" 11827LIBS="-lm -l$NAME_LIB_TK -lX11 $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS"
11840cat >conftest.$ac_ext <<_ACEOF 11828cat >conftest.$ac_ext <<_ACEOF
11841#line 11841 "configure" 11829#line 11829 "configure"
11842#include "confdefs.h" 11830#include "confdefs.h"
11843 11831
11844/* Override any gcc2 internal prototype to avoid an error. */ 11832/* Override any gcc2 internal prototype to avoid an error. */
@@ -11857,16 +11845,16 @@ Tk_BindEvent ();
11857} 11845}
11858_ACEOF 11846_ACEOF
11859rm -f conftest.$ac_objext conftest$ac_exeext 11847rm -f conftest.$ac_objext conftest$ac_exeext
11860if { (eval echo "$as_me:11860: \"$ac_link\"") >&5 11848if { (eval echo "$as_me:11848: \"$ac_link\"") >&5
11861 (eval $ac_link) 2>&5 11849 (eval $ac_link) 2>&5
11862 ac_status=$? 11850 ac_status=$?
11863 echo "$as_me:11863: \$? = $ac_status" >&5 11851 echo "$as_me:11851: \$? = $ac_status" >&5
11864 (exit $ac_status); } && 11852 (exit $ac_status); } &&
11865 { ac_try='test -s conftest$ac_exeext' 11853 { ac_try='test -s conftest$ac_exeext'
11866 { (eval echo "$as_me:11866: \"$ac_try\"") >&5 11854 { (eval echo "$as_me:11854: \"$ac_try\"") >&5
11867 (eval $ac_try) 2>&5 11855 (eval $ac_try) 2>&5
11868 ac_status=$? 11856 ac_status=$?
11869 echo "$as_me:11869: \$? = $ac_status" >&5 11857 echo "$as_me:11857: \$? = $ac_status" >&5
11870 (exit $ac_status); }; }; then 11858 (exit $ac_status); }; }; then
11871 ac_cv_lib_m_Tk_BindEvent=yes 11859 ac_cv_lib_m_Tk_BindEvent=yes
11872else 11860else
@@ -11877,7 +11865,7 @@ fi
11877rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 11865rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
11878LIBS=$ac_check_lib_save_LIBS 11866LIBS=$ac_check_lib_save_LIBS
11879fi 11867fi
11880echo "$as_me:11880: result: $ac_cv_lib_m_Tk_BindEvent" >&5 11868echo "$as_me:11868: result: $ac_cv_lib_m_Tk_BindEvent" >&5
11881echo "${ECHO_T}$ac_cv_lib_m_Tk_BindEvent" >&6 11869echo "${ECHO_T}$ac_cv_lib_m_Tk_BindEvent" >&6
11882if test $ac_cv_lib_m_Tk_BindEvent = yes; then 11870if test $ac_cv_lib_m_Tk_BindEvent = yes; then
11883 TK_LIB_OK=1 11871 TK_LIB_OK=1
@@ -11885,7 +11873,7 @@ else
11885 TK_LIB_OK=0 11873 TK_LIB_OK=0
11886fi 11874fi
11887 11875
11888else echo "$as_me:11888: checking for Tk_BindEvent in -lm" >&5 11876else echo "$as_me:11876: checking for Tk_BindEvent in -lm" >&5
11889echo $ECHO_N "checking for Tk_BindEvent in -lm... $ECHO_C" >&6 11877echo $ECHO_N "checking for Tk_BindEvent in -lm... $ECHO_C" >&6
11890if test "${ac_cv_lib_m_Tk_BindEvent+set}" = set; then 11878if test "${ac_cv_lib_m_Tk_BindEvent+set}" = set; then
11891 echo $ECHO_N "(cached) $ECHO_C" >&6 11879 echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11893,7 +11881,7 @@ else
11893 ac_check_lib_save_LIBS=$LIBS 11881 ac_check_lib_save_LIBS=$LIBS
11894LIBS="-lm -L$USER_TK_LIB_PATH -l$NAME_LIB_TK -lX11 $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS" 11882LIBS="-lm -L$USER_TK_LIB_PATH -l$NAME_LIB_TK -lX11 $X_LIBS $X_EXTRA_LIBS $TCLTK_LIBS $LIBS"
11895cat >conftest.$ac_ext <<_ACEOF 11883cat >conftest.$ac_ext <<_ACEOF
11896#line 11896 "configure" 11884#line 11884 "configure"
11897#include "confdefs.h" 11885#include "confdefs.h"
11898 11886
11899/* Override any gcc2 internal prototype to avoid an error. */ 11887/* Override any gcc2 internal prototype to avoid an error. */
@@ -11912,16 +11900,16 @@ Tk_BindEvent ();
11912} 11900}
11913_ACEOF 11901_ACEOF
11914rm -f conftest.$ac_objext conftest$ac_exeext 11902rm -f conftest.$ac_objext conftest$ac_exeext
11915if { (eval echo "$as_me:11915: \"$ac_link\"") >&5 11903if { (eval echo "$as_me:11903: \"$ac_link\"") >&5
11916 (eval $ac_link) 2>&5 11904 (eval $ac_link) 2>&5
11917 ac_status=$? 11905 ac_status=$?
11918 echo "$as_me:11918: \$? = $ac_status" >&5 11906 echo "$as_me:11906: \$? = $ac_status" >&5
11919 (exit $ac_status); } && 11907 (exit $ac_status); } &&
11920 { ac_try='test -s conftest$ac_exeext' 11908 { ac_try='test -s conftest$ac_exeext'
11921 { (eval echo "$as_me:11921: \"$ac_try\"") >&5 11909 { (eval echo "$as_me:11909: \"$ac_try\"") >&5
11922 (eval $ac_try) 2>&5 11910 (eval $ac_try) 2>&5
11923 ac_status=$? 11911 ac_status=$?
11924 echo "$as_me:11924: \$? = $ac_status" >&5 11912 echo "$as_me:11912: \$? = $ac_status" >&5
11925 (exit $ac_status); }; }; then 11913 (exit $ac_status); }; }; then
11926 ac_cv_lib_m_Tk_BindEvent=yes 11914 ac_cv_lib_m_Tk_BindEvent=yes
11927else 11915else
@@ -11932,7 +11920,7 @@ fi
11932rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 11920rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
11933LIBS=$ac_check_lib_save_LIBS 11921LIBS=$ac_check_lib_save_LIBS
11934fi 11922fi
11935echo "$as_me:11935: result: $ac_cv_lib_m_Tk_BindEvent" >&5 11923echo "$as_me:11923: result: $ac_cv_lib_m_Tk_BindEvent" >&5
11936echo "${ECHO_T}$ac_cv_lib_m_Tk_BindEvent" >&6 11924echo "${ECHO_T}$ac_cv_lib_m_Tk_BindEvent" >&6
11937if test $ac_cv_lib_m_Tk_BindEvent = yes; then 11925if test $ac_cv_lib_m_Tk_BindEvent = yes; then
11938 TK_LIB_OK=1 11926 TK_LIB_OK=1
@@ -11979,7 +11967,7 @@ EOF
11979 TKSCILIB="\$(SCIDIR)/libs/tksci.a" 11967 TKSCILIB="\$(SCIDIR)/libs/tksci.a"
11980 TKSCIDIR=tksci 11968 TKSCIDIR=tksci
11981else 11969else
11982 { { echo "$as_me:11982: error: \"TCL/TK not found. Do not use --with-tk\"" >&5 11970 { { echo "$as_me:11970: error: \"TCL/TK not found. Do not use --with-tk\"" >&5
11983echo "$as_me: error: \"TCL/TK not found. Do not use --with-tk\"" >&2;} 11971echo "$as_me: error: \"TCL/TK not found. Do not use --with-tk\"" >&2;}
11984 { (exit 1); exit 1; }; } 11972 { (exit 1); exit 1; }; }
11985fi 11973fi
@@ -12102,7 +12090,7 @@ DEFS=-DHAVE_CONFIG_H
12102: ${CONFIG_STATUS=./config.status} 12090: ${CONFIG_STATUS=./config.status}
12103ac_clean_files_save=$ac_clean_files 12091ac_clean_files_save=$ac_clean_files
12104ac_clean_files="$ac_clean_files $CONFIG_STATUS" 12092ac_clean_files="$ac_clean_files $CONFIG_STATUS"
12105{ echo "$as_me:12105: creating $CONFIG_STATUS" >&5 12093{ echo "$as_me:12093: creating $CONFIG_STATUS" >&5
12106echo "$as_me: creating $CONFIG_STATUS" >&6;} 12094echo "$as_me: creating $CONFIG_STATUS" >&6;}
12107cat >$CONFIG_STATUS <<_ACEOF 12095cat >$CONFIG_STATUS <<_ACEOF
12108#! $SHELL 12096#! $SHELL
@@ -12274,7 +12262,7 @@ cat >>$CONFIG_STATUS <<\EOF
12274 echo "$ac_cs_version"; exit 0 ;; 12262 echo "$ac_cs_version"; exit 0 ;;
12275 --he | --h) 12263 --he | --h)
12276 # Conflict between --help and --header 12264 # Conflict between --help and --header
12277 { { echo "$as_me:12277: error: ambiguous option: $1 12265 { { echo "$as_me:12265: error: ambiguous option: $1
12278Try \`$0 --help' for more information." >&5 12266Try \`$0 --help' for more information." >&5
12279echo "$as_me: error: ambiguous option: $1 12267echo "$as_me: error: ambiguous option: $1
12280Try \`$0 --help' for more information." >&2;} 12268Try \`$0 --help' for more information." >&2;}
@@ -12293,7 +12281,7 @@ Try \`$0 --help' for more information." >&2;}
12293 ac_need_defaults=false;; 12281 ac_need_defaults=false;;
12294 12282
12295 # This is an error. 12283 # This is an error.
12296 -*) { { echo "$as_me:12296: error: unrecognized option: $1 12284 -*) { { echo "$as_me:12284: error: unrecognized option: $1
12297Try \`$0 --help' for more information." >&5 12285Try \`$0 --help' for more information." >&5
12298echo "$as_me: error: unrecognized option: $1 12286echo "$as_me: error: unrecognized option: $1
12299Try \`$0 --help' for more information." >&2;} 12287Try \`$0 --help' for more information." >&2;}
@@ -12353,7 +12341,7 @@ do
12353 "scripts/scilab-gtk.g" ) CONFIG_FILES="$CONFIG_FILES scripts/scilab-gtk.g" ;; 12341 "scripts/scilab-gtk.g" ) CONFIG_FILES="$CONFIG_FILES scripts/scilab-gtk.g" ;;
12354 "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;; 12342 "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
12355 "routines/machine.h" ) CONFIG_HEADERS="$CONFIG_HEADERS routines/machine.h" ;; 12343 "routines/machine.h" ) CONFIG_HEADERS="$CONFIG_HEADERS routines/machine.h" ;;
12356 *) { { echo "$as_me:12356: error: invalid argument: $ac_config_target" >&5 12344 *) { { echo "$as_me:12344: error: invalid argument: $ac_config_target" >&5
12357echo "$as_me: error: invalid argument: $ac_config_target" >&2;} 12345echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
12358 { (exit 1); exit 1; }; };; 12346 { (exit 1); exit 1; }; };;
12359 esac 12347 esac
@@ -12499,7 +12487,7 @@ s,@XAW_LOCAL_INCLUDES@,$XAW_LOCAL_INCLUDES,;t t
12499s,@XAW_LOCAL_LIB@,$XAW_LOCAL_LIB,;t t 12487s,@XAW_LOCAL_LIB@,$XAW_LOCAL_LIB,;t t
12500s,@GTKCFLAGS@,$GTKCFLAGS,;t t 12488s,@GTKCFLAGS@,$GTKCFLAGS,;t t
12501s,@GTKLIB@,$GTKLIB,;t t 12489s,@GTKLIB@,$GTKLIB,;t t
12502s,@GTKINC@,$GTKINC,;t t 12490s,@GNOMECFLAGS@,$GNOMECFLAGS,;t t
12503s,@TERMCAPLIB@,$TERMCAPLIB,;t t 12491s,@TERMCAPLIB@,$TERMCAPLIB,;t t
12504s,@MAIN@,$MAIN,;t t 12492s,@MAIN@,$MAIN,;t t
12505s,@MAKEFILE_TARGET@,$MAKEFILE_TARGET,;t t 12493s,@MAKEFILE_TARGET@,$MAKEFILE_TARGET,;t t
@@ -12656,7 +12644,7 @@ done; }
12656 esac 12644 esac
12657 12645
12658 if test x"$ac_file" != x-; then 12646 if test x"$ac_file" != x-; then
12659 { echo "$as_me:12659: creating $ac_file" >&5 12647 { echo "$as_me:12647: creating $ac_file" >&5
12660echo "$as_me: creating $ac_file" >&6;} 12648echo "$as_me: creating $ac_file" >&6;}
12661 rm -f "$ac_file" 12649 rm -f "$ac_file"
12662 fi 12650 fi
@@ -12674,7 +12662,7 @@ echo "$as_me: creating $ac_file" >&6;}
12674 -) echo $tmp/stdin ;; 12662 -) echo $tmp/stdin ;;
12675 [\\/$]*) 12663 [\\/$]*)
12676 # Absolute (can't be DOS-style, as IFS=:) 12664 # Absolute (can't be DOS-style, as IFS=:)
12677 test -f "$f" || { { echo "$as_me:12677: error: cannot find input file: $f" >&5 12665 test -f "$f" || { { echo "$as_me:12665: error: cannot find input file: $f" >&5
12678echo "$as_me: error: cannot find input file: $f" >&2;} 12666echo "$as_me: error: cannot find input file: $f" >&2;}
12679 { (exit 1); exit 1; }; } 12667 { (exit 1); exit 1; }; }
12680 echo $f;; 12668 echo $f;;
@@ -12687,7 +12675,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
12687 echo $srcdir/$f 12675 echo $srcdir/$f
12688 else 12676 else
12689 # /dev/null tree 12677 # /dev/null tree
12690 { { echo "$as_me:12690: error: cannot find input file: $f" >&5 12678 { { echo "$as_me:12678: error: cannot find input file: $f" >&5
12691echo "$as_me: error: cannot find input file: $f" >&2;} 12679echo "$as_me: error: cannot find input file: $f" >&2;}
12692 { (exit 1); exit 1; }; } 12680 { (exit 1); exit 1; }; }
12693 fi;; 12681 fi;;
@@ -12747,7 +12735,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
12747 * ) ac_file_in=$ac_file.in ;; 12735 * ) ac_file_in=$ac_file.in ;;
12748 esac 12736 esac
12749 12737
12750 test x"$ac_file" != x- && { echo "$as_me:12750: creating $ac_file" >&5 12738 test x"$ac_file" != x- && { echo "$as_me:12738: creating $ac_file" >&5
12751echo "$as_me: creating $ac_file" >&6;} 12739echo "$as_me: creating $ac_file" >&6;}
12752 12740
12753 # First look for the input files in the build tree, otherwise in the 12741 # First look for the input files in the build tree, otherwise in the
@@ -12758,7 +12746,7 @@ echo "$as_me: creating $ac_file" >&6;}
12758 -) echo $tmp/stdin ;; 12746 -) echo $tmp/stdin ;;
12759 [\\/$]*) 12747 [\\/$]*)
12760 # Absolute (can't be DOS-style, as IFS=:) 12748 # Absolute (can't be DOS-style, as IFS=:)
12761 test -f "$f" || { { echo "$as_me:12761: error: cannot find input file: $f" >&5 12749 test -f "$f" || { { echo "$as_me:12749: error: cannot find input file: $f" >&5
12762echo "$as_me: error: cannot find input file: $f" >&2;} 12750echo "$as_me: error: cannot find input file: $f" >&2;}
12763 { (exit 1); exit 1; }; } 12751 { (exit 1); exit 1; }; }
12764 echo $f;; 12752 echo $f;;
@@ -12771,7 +12759,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
12771 echo $srcdir/$f 12759 echo $srcdir/$f
12772 else 12760 else
12773 # /dev/null tree 12761 # /dev/null tree
12774 { { echo "$as_me:12774: error: cannot find input file: $f" >&5 12762 { { echo "$as_me:12762: error: cannot find input file: $f" >&5
12775echo "$as_me: error: cannot find input file: $f" >&2;} 12763echo "$as_me: error: cannot find input file: $f" >&2;}
12776 { (exit 1); exit 1; }; } 12764 { (exit 1); exit 1; }; }
12777 fi;; 12765 fi;;
@@ -12888,7 +12876,7 @@ cat >>$CONFIG_STATUS <<\EOF
12888 rm -f $tmp/in 12876 rm -f $tmp/in
12889 if test x"$ac_file" != x-; then 12877 if test x"$ac_file" != x-; then
12890 if cmp -s $ac_file $tmp/config.h 2>/dev/null; then 12878 if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
12891 { echo "$as_me:12891: $ac_file is unchanged" >&5 12879 { echo "$as_me:12879: $ac_file is unchanged" >&5
12892echo "$as_me: $ac_file is unchanged" >&6;} 12880echo "$as_me: $ac_file is unchanged" >&6;}
12893 else 12881 else
12894 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 12882 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff --git a/scilab/configure.in b/scilab/configure.in
index afe32f9..8a96e41 100644
--- a/scilab/configure.in
+++ b/scilab/configure.in
@@ -1,7 +1,7 @@
1dnl Process this file with autoconf to produce a configure script. 1dnl Process this file with autoconf to produce a configure script.
2## Copyright INRIA 2## Copyright INRIA
3 3
4AC_REVISION($Revision: 1.25 $)dnl 4AC_REVISION($Revision: 1.26 $)dnl
5AC_INIT(license.txt) 5AC_INIT(license.txt)
6SCIDIR=`pwd` 6SCIDIR=`pwd`
7AC_CONFIG_AUX_DIR(config) 7AC_CONFIG_AUX_DIR(config)
@@ -1350,8 +1350,8 @@ fi
1350################# 1350#################
1351 1351
1352if test "$with_gtk" = yes; then 1352if test "$with_gtk" = yes; then
1353 AC_PATH_PROG(GTK_CONFIG,gtk-config,none) 1353 AC_CHECK_PROG(GTK_CONFIG,gtk-config,none)
1354 AC_PATH_PROG(GNOME_CONFIG,gnome-config,none) 1354 AC_CHECK_PROG(GNOME_CONFIG,gnome-config,none)
1355 1355
1356 AC_MSG_CHECKING([if gtk is version 1.2 or later]) 1356 AC_MSG_CHECKING([if gtk is version 1.2 or later])
1357 GTK_VER=`$GTK_CONFIG --version` 1357 GTK_VER=`$GTK_CONFIG --version`
@@ -1363,10 +1363,14 @@ if test "$with_gtk" = yes; then
1363 AC_MSG_ERROR([you need at least version 1.2 of gtk]) 1363 AC_MSG_ERROR([you need at least version 1.2 of gtk])
1364 ;; 1364 ;;
1365 * ) 1365 * )
1366 # we have cheched above that gtk-config is in the
1367 # path, then we don't want to generate a full path
1368 # for gtk-config or to directly generate the
1369 # result of `gtk-config --cflags`. Idem for gnome
1366 AC_MSG_RESULT([$GTK_VER]) 1370 AC_MSG_RESULT([$GTK_VER])
1367 GTKCFLAGS=`$GTK_CONFIG --cflags` 1371 GTKCFLAGS='`gtk-config --cflags`'
1368 GTKLIBS=`$GTK_CONFIG --libs` 1372 GTKLIBS='`gtk-config --libs`'
1369 GTKINC=`$GNOME_CONFIG --includedir` 1373 GNOMECFLAGS='`gnome-config --cflags gnome`'
1370 ;; 1374 ;;
1371 esac 1375 esac
1372 AC_DEFINE(WITH_GTK) 1376 AC_DEFINE(WITH_GTK)
@@ -1487,7 +1491,7 @@ AC_SUBST(XAW_LOCAL_INCLUDES)
1487AC_SUBST(XAW_LOCAL_LIB) 1491AC_SUBST(XAW_LOCAL_LIB)
1488AC_SUBST(GTKCFLAGS) 1492AC_SUBST(GTKCFLAGS)
1489AC_SUBST(GTKLIB) 1493AC_SUBST(GTKLIB)
1490AC_SUBST(GTKINC) 1494AC_SUBST(GNOMECFLAGS)
1491AC_SUBST(TERMCAPLIB) 1495AC_SUBST(TERMCAPLIB)
1492AC_SUBST(MAIN) 1496AC_SUBST(MAIN)
1493AC_SUBST(MAKEFILE_TARGET) 1497AC_SUBST(MAKEFILE_TARGET)